package org.siforge.mvc;

import java.io.Serializable;

/** Questa interfaccia serve per manipolare gli oggetti accettati da una OptionsList 
 * Cfr  java.util.Map.Entry che pero' e' diversa perche' mappa una chiave 
 * in un <i>oggetto</i>
 * Tipico uso nelle jsp:
 * &lt;html:options collection="istanzaDiOptionsList" labelProperty="name" property="value" /&gt;
 * @author Giovanni Giorgi
 * @company SIForge.org
 */
public interface OptionBean extends Serializable {
	/** Il 'nome' e' quello che va visualizzato all'utente: la descrizione
	 */
	public String getName();
	/** Il 'Valore' e' quello che va dato al sistema, tipicamente una costante numerica.
	 */
	public String getValue();
}